import { Country, State, City } from 'country-state-city';
import { useMemo } from 'react';

// src/use-countries.ts
function useCountries() {
  const countries = useMemo(
    () => Country.getAllCountries().map((country) => ({
      ...country,
      phonecode: country.phonecode.startsWith("+") ? country.phonecode : `+${country.phonecode}`
    })),
    []
  );
  const getStatesOfCountry = (countryCode) => {
    return State.getStatesOfCountry(countryCode);
  };
  const getCitiesOfState = (countryCode, stateCode) => {
    return City.getCitiesOfState(countryCode, stateCode);
  };
  return {
    countries,
    getCitiesOfState,
    getStatesOfCountry
  };
}

export { useCountries };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-2CK5YS7H.mjs.map