'use strict';

var countryStateCity = require('country-state-city');
var react = require('react');

// src/use-countries.ts
function useCountries() {
  const countries = react.useMemo(
    () => countryStateCity.Country.getAllCountries().map((country) => ({
      ...country,
      phonecode: country.phonecode.startsWith("+") ? country.phonecode : `+${country.phonecode}`
    })),
    []
  );
  const getStatesOfCountry = (countryCode) => {
    return countryStateCity.State.getStatesOfCountry(countryCode);
  };
  const getCitiesOfState = (countryCode, stateCode) => {
    return countryStateCity.City.getCitiesOfState(countryCode, stateCode);
  };
  return {
    countries,
    getCitiesOfState,
    getStatesOfCountry
  };
}

exports.useCountries = useCountries;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-GC7QP2X2.js.map